import * as $dara from '@darabonba/typescript';
import { GetHoneypotPresetResponseBody } from "./GetHoneypotPresetResponseBody";
export declare class GetHoneypotPresetResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetHoneypotPresetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
